org.aspectj.lang.reflect

## Interface FieldSignature

All Superinterfaces:
  MemberSignature, Signature

All Known Implementing Classes:
  FieldSignatureImpl

    public interface FieldSignature
    extends MemberSignature

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.reflect.Field` `getField()`
`java.lang.Class` `getFieldType()`

### Methods inherited from interface org.aspectj.lang.Signature

`getDeclaringType, getDeclaringTypeName, getModifiers, getName, toLongString, toShortString, toString`

### Method Detail

#### getFieldType

    java.lang.Class getFieldType()

#### getField

    java.lang.reflect.Field getField()